<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{08C6BF73-44D8-4EDB-9F29-AE1C5CA89F0F}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Vortex</RootNamespace>
    <AssemblyName>Tutorials</AssemblyName>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ApplicationIcon>icon.ico</ApplicationIcon>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Bin\Tutorials\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Bin\Tutorials\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Browser\BrowserForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Browser\BrowserForm.Designer.cs">
      <DependentUpon>BrowserForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Browser\ContentEngine.cs" />
    <Compile Include="Browser\ContentItemInfo.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="Browser\BrowserForm.resx">
      <DependentUpon>BrowserForm.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Tutorials\WindowsFormsIntegration\WindowsFormsIntegrationForm.resx">
      <DependentUpon>WindowsFormsIntegrationForm.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <Content Include="Data\Fonts\CorridaC, 28px.fnt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Fonts\CorridaC, 48px.fnt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Fonts\Tahoma, 24px.fnt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Fonts\Times New Roman, 24px.fnt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Shaders\blur.ps">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Shaders\twist.vs">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\distort.psh">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\phongblinn.psh">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\PhongBlinnDemo\phongblinn.psh">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="Tutorials\ClippingZEffectAlphaTest\ClippingZEffectAlphaTest.cs" />
    <Compile Include="Tutorials\DrawingPrimitives\DrawingPrimitives.cs" />
    <Compile Include="Tutorials\DrawingTransformations\DrawingTransformations.cs" />
    <Compile Include="Tutorials\FireDistortionDemo\FireParticle.cs" />
    <Compile Include="Tutorials\FireDistortionDemo\FireSystem.cs" />
    <Compile Include="Tutorials\FireDistortionDemo\FireDistortionDemo.cs" />
    <Compile Include="Tutorials\MouseAndKeyboardInput\MouseAndKeyboardInput.cs" />
    <Compile Include="Tutorials\MultiFormSupport\MultiFormSupport.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Tutorials\MultiFormSupport\MultiFormSupport.Designer.cs">
      <DependentUpon>MultiFormSupport.cs</DependentUpon>
    </Compile>
    <Compile Include="Tutorials\MultiFormSupport\PopupForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Tutorials\MultiFormSupport\PopupForm.Designer.cs">
      <DependentUpon>PopupForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Tutorials\ParallaxEffect\Camera.cs" />
    <Compile Include="Tutorials\ParallaxEffect\MathHelper.cs" />
    <Compile Include="Tutorials\ParallaxEffect\Parallax.cs" />
    <Compile Include="Tutorials\ParallaxEffect\ParallaxEffect.cs" />
    <Compile Include="Tutorials\PhongBlinnDemo\PhongBlinnDemo.cs" />
    <Compile Include="Tutorials\PixelAndVertexShaders\PixelAndVertexShaders.cs" />
    <Compile Include="Tutorials\RenderTargetAndOverlays\RenderTargetAndOverlays.cs" />
    <Compile Include="Tutorials\SpriteMapAndAnimation\SpriteCollectionsAndAnimation.cs" />
    <Compile Include="Tutorials\StyledLines\StyledLines.cs" />
    <Compile Include="Tutorials\TextDrawing\TextDrawing.cs" />
    <Compile Include="Tutorials\TexturesAndSprites\TexturesAndSprites.cs" />
    <Compile Include="Tutorials\EmptyGame\EmptyGame.cs" />
    <Compile Include="Tutorials\Launcher.cs" />
    <Compile Include="Tutorials\WindowsFormsIntegration\WindowsFormsIntegrationForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Tutorials\WindowsFormsIntegration\WindowsFormsIntegrationForm.Designer.cs">
      <DependentUpon>WindowsFormsIntegrationForm.cs</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Browser\jquery15.js" />
    <EmbeddedResource Include="Browser\page.html">
    </EmbeddedResource>
    <EmbeddedResource Include="Browser\section.html">
    </EmbeddedResource>
    <Content Include="Browser\Thumbnails\clippingZeffectAlphaTest.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\drawingPrimitives.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\drawingTransformations.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\emptyGameApplication.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\fireDistortionDemo.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\mouseAndKeyboardInput.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\multiFormSupport.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\pacmanGameplayDemo.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\parallaxEffect.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\phongBlinnDemo.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\renderTargetAndOverlays.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\spriteCollectionsAndAnimation.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\styledLines.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\test.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\textDrawing.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\texturesAndSprites.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\vertexAndPixelShaders.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Browser\Thumbnails\windowsFormsIntegration.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <EmbeddedResource Include="Browser\content.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="Tutorials\MultiFormSupport\MultiFormSupport.resx">
      <DependentUpon>MultiFormSupport.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Tutorials\MultiFormSupport\PopupForm.resx">
      <DependentUpon>PopupForm.cs</DependentUpon>
    </EmbeddedResource>
    <Content Include="Data\FireDemo\diffuse.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\fire1.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\fire2.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\fire3.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\firecover.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\firedistort.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\FireDemo\normal.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Fonts\CorridaC, 28px_0.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Fonts\CorridaC, 48px_0.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Fonts\Tahoma, 24px_0.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Fonts\Times New Roman, 24px_0.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\balloon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\button_normal.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\chameleon.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\crosshair.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\default_buttons.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\drop.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\flower.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\mountains.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\rain-drops.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\runsheet.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\sonic.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\space.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\spaceship.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\spacestation.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\stencil.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\test_frame.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\Graphics\tornado.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\PhongBlinnDemo\diffuse.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Data\PhongBlinnDemo\normal.jpg">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="icon.ico" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Source\Vortex.GameEngine\Vortex.GameEngine.csproj">
      <Project>{E00DF7EA-6CF7-49C4-A2A7-36203990E4A3}</Project>
      <Name>Vortex.GameEngine</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Source\Vortex\Vortex.csproj">
      <Project>{62DF82DA-CFED-4805-A0BD-71F1458EAFE9}</Project>
      <Name>Vortex</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Data\Sound\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <PropertyGroup>
    <PreBuildEvent>rd /S /Q "$(TargetDir)Data"
rd /S /Q "$(TargetDir)Browser"</PreBuildEvent>
  </PropertyGroup>
</Project>